%define kdeprefix /usr/lib/kde2
%define qtdir /usr/lib/qt-2.1.0
%define version 0.2
%define kdename rhisdn
%define kderelease 1

Name: %{kdename}
Summary: ISDN setup utility
Version: %{version}
Release: %{kderelease}
Source: %{kdename}-%{version}.tar.gz
URL: http://www.kdevelop.org/
Group: Applications/System
BuildRoot: /var/tmp/%{kdename}-buildroot
License: GPL
Prefix: %{kdeprefix}

%description
This program will help you to configure your ISDN hardware
and to set up ISP profiles.
This program uses the KDE 2.0 Control Center. You can either run the tool
standalone (isdn-config) or by selecting the ISDN Configuration
entry in kcontrol2.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
export QTDIR=%{qtdir}
export KDEDIR=%{kdeprefix}

./configure --prefix=%{kdeprefix} --with-qt-dir=%{qtdir}

make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG"

%install
export QTDIR=%{qtdir}
export KDEDIR=%{kdeprefix}
mkdir -p $RPM_BUILD_ROOT/usr/share/icons
make DESTDIR=$RPM_BUILD_ROOT install
cp pixmaps/{isdntux.gif,isp.xpm} pixmaps/flags/de.xpm $RPM_BUILD_ROOT/usr/share/icons

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

echo "%docdir /usr/doc/kde" >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Tue Dec 28 1999 Ngo Than <than@redhat.de>
- rhisdn for redhat-6.2
